关闭

解决Eclipse无法打开“Failed to load the JNI shared library”

455人阅读 评论(0) 收藏 举报
分类:


这是因为JDK配置错误所导致的现象。


一般说来,新购笔记本会预装64位的windows系统,而在网上下载软件时,32位会优先出现在页面中(现在来说是这个情况,但我认为未来64位会越来越普及)。

如果你是64位的系统,却安装了32位的JDK,就会导致上面的情况。

解决办法如下:

  1. 卸载掉原来安装的32位的JDK,然后安装64位的JDK到电脑中。

  2. 重新修改path 和 classpath 两个环境变量。因为在64系统当中,32位软件回安装到program files (*86)文件夹,64位软件会安装到program files 文件夹,当你先前安装32JDK时,你设置的环境变量路径当中当然会包括“program files (*86)”,而这时JDK已经转移到“program files”中了,修改过来即可。

  3. 注意你两次安装的JDK版本号,不一定相同,因为安装时会根据你的版本号建立JDK文件夹,如果两次的版本号不同,在环境变量里也要修改。

现在,Eclipse应该可以正常使用了,快去练习Java程序吧!

扩展阅读:

下载链接:

0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:363883次
    • 积分:8896
    • 等级:
    • 排名:第2113名
    • 原创:546篇
    • 转载:0篇
    • 译文:13篇
    • 评论:17条
    文章分类
    最新评论